Bug 441937 - askmethod text update install forgot to update CS4/GFS rpms
askmethod text update install forgot to update CS4/GFS rpms
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Anaconda Maintenance Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-10 15:45 EDT by Jeffrey Needham
Modified: 2008-07-08 09:37 EDT (History)
0 users

See Also:
Fixed In Version: 5.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-08 09:37:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
upgrade.log from failing system (5.87 KB, application/octet-stream)
2008-04-10 15:45 EDT, Jeffrey Needham
no flags Details

  None (edit)
Description Jeffrey Needham 2008-04-10 15:45:21 EDT
Description of problem:
update install forgot to update any CS4/GFS rpms

Version-Release number of selected component (if applicable):
RHEL5.1 to RHEL5.2 Beta

How reproducible:
I booted from Disk1 and then performanced a linux askmethod text update install
where the repository was on NFS. It is a 4 node RAC cluster. The other nodes
were running while node1 was rebooted to perform an upgrade install.

Steps to Reproduce:
1. Boot RHEL5.2 from Disk1 ISO
2. linux askmethod updates text
3. eth0 was statically defined
4. The NFS option was used 
  
Actual results:

CLVMD would not mount the volumes in locking_type=2 mode, but would mount them
in locking_type=0 mode. The error in locking_type=2 was:
Starting clvmd:                                            [  OK  ]
Activating VGs:   1 logical volume(s) in volume group "lun3_585" now active
  cluster request failed: Invalid argument
  cluster request failed: Invalid argument
  cluster request failed: Invalid argument
  Can't lock volume group lun2_585: skipping
  cluster request failed: Invalid argument
  Can't lock volume group lun1_585: skipping
  cluster request failed: Invalid argument
  Can't lock volume group vgb: skipping
                                                           [  OK  ]

At the very least, the update forgot:
upgrade failed to update:
kmod-gfs-0.1.19-4.el5         TO kmod-gfs-0.1.23-2.el5
lvm2-cluster-2.02.26-1.el5    TO lvm2-cluster-2.02.32-1
system-config-lvm-1.0.22-1.0  TO system-config-lvm-1.1.3-1.0



Expected results:


Additional info:
Comment 1 Jeffrey Needham 2008-04-10 15:45:21 EDT
Created attachment 302059 [details]
upgrade.log from failing system
Comment 2 Chris Lumens 2008-04-11 05:42:07 EDT
Can you attach /var/log/anaconda.log to this bug report as well?
Comment 3 Jeffrey Needham 2008-06-18 21:32:42 EDT
An update install from 5.1 to released 5.2 did work. However, the update
installer installed my MBR on my FCP LUN (/dev/sda) instead of my HP boot device
(cciss/c0d0). Separate BZ, I'm sure. 

This one can close
Comment 4 Joel Andres Granados 2008-07-08 09:37:51 EDT
please reopen this bug if you see this issue again.

Note You need to log in before you can comment on or make changes to this bug.